org.apache.hadoop.yarn.server.api.impl.pb.service

## Class SCMAdminProtocolPBServiceImpl

- java.lang.Object
- - org.apache.hadoop.yarn.server.api.impl.pb.service.SCMAdminProtocolPBServiceImpl

- All Implemented Interfaces:
    org.apache.hadoop.yarn.proto.SCMAdminProtocol.SCMAdminProtocolService.BlockingInterface, org.apache.hadoop.yarn.server.api.SCMAdminProtocolPB

      public class SCMAdminProtocolPBServiceImpl
      extends Object
      implements org.apache.hadoop.yarn.server.api.SCMAdminProtocolPB

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SCMAdminProtocolPBServiceImpl(org.apache.hadoop.yarn.server.api.SCMAdminProtocol impl)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.yarn.proto.YarnServiceProtos.RunSharedCacheCleanerTaskResponseProto` | `runCleanerTask(com.google.protobuf.RpcController controller, org.apache.hadoop.yarn.proto.YarnServiceProtos.RunSharedCacheCleanerTaskRequestProto proto)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SCMAdminProtocolPBServiceImpl

          public SCMAdminProtocolPBServiceImpl(org.apache.hadoop.yarn.server.api.SCMAdminProtocol impl)

  - ### Method Detail

    - #### runCleanerTask

          public org.apache.hadoop.yarn.proto.YarnServiceProtos.RunSharedCacheCleanerTaskResponseProto runCleanerTask(com.google.protobuf.RpcController controller,
                                                                                                                      org.apache.hadoop.yarn.proto.YarnServiceProtos.RunSharedCacheCleanerTaskRequestProto proto)
                                                                                                               throws com.google.protobuf.ServiceException

      Specified by:
        `runCleanerTask` in interface `org.apache.hadoop.yarn.proto.SCMAdminProtocol.SCMAdminProtocolService.BlockingInterface`
      Throws:
        `com.google.protobuf.ServiceException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.